{
	"name": "ts-npm-package-archetype",
	"description": "Project to get TS npm packages off the ground.",
	"author": "Kyle Albert",
	"version": "0.0.1",
	"license": "MIT",
	"keywords": [
		"TypeScript"
	],
	"main": "dist/index.cjs.js",
	"module": "dist/index.esm.js",
	"browser": "dist/index.umd.js",
	"types": "dist/index.d.ts",
	"scripts": {
		"build": "npm run gulp -- build",
		"ci:build": "npm run gulp -- ci:build",
		"ci:test": "npm run gulp -- ci:test",
		"gulp": "TS_NODE_PROJECT=./tsconfig.gulp.json gulp",
		"prepare": "npm run build",
		"preversion": "npm run build",
		"postversion": "git push && git push --tags",
		"test": "npm run gulp -- test",
		"test:watch": "jest --watch"
	},
	"repository": {
		"type": "git",
		"url": "git@gitlab.com:kyle-albert-oss/npm-packages/ts-npm-package-archetype.git"
	},
	"husky": {
		"hooks": {
			"pre-commit": "pretty-quick --staged"
		}
	},
	"dependencies": {},
	"devDependencies": {
		"@rollup/plugin-commonjs": "^11.0.2",
		"@rollup/plugin-node-resolve": "^7.1.1",
		"@rollup/plugin-typescript": "^3.0.0",
		"@types/fancy-log": "^1.3.1",
		"@types/fs-extra": "^8.1.0",
		"@types/gulp": "^4.0.6",
		"@types/inquirer": "^6.5.0",
		"@types/jest": "^25.2.1",
		"@typescript-eslint/eslint-plugin": "^2.27.0",
		"@typescript-eslint/parser": "^2.27.0",
		"conditional-type-checks": "^1.0.5",
		"del": "^5.1.0",
		"eslint": "^6.8.0",
		"eslint-config-prettier": "^6.10.1",
		"fancy-log": "^1.3.3",
		"fs-extra": "^9.0.0",
		"gulp": "^4.0.2",
		"husky": "^4.2.5",
		"inquirer": "^7.1.0",
		"jest": "^25.3.0",
		"jest-extended": "^0.11.5",
		"madge": "^3.8.0",
		"prettier": "^2.0.4",
		"pretty-quick": "^2.0.1",
		"rimraf": "^3.0.2",
		"rollup": "^1.31.1",
		"rollup-plugin-auto-external": "^2.0.0",
		"rollup-plugin-multi-input": "^1.1.1",
		"ts-essentials": "^6.0.4",
		"ts-jest": "^25.3.1",
		"ts-node": "^8.8.2",
		"typescript": "^3.8.3"
	}
}
